Changeset 1176 for ThirdParty/Glpk/trunk


Ignore:
Timestamp:
Sep 8, 2008 8:38:18 AM (11 years ago)
Author:
stefan
Message:

adapt for glpk 4.31

Location:
ThirdParty/Glpk/trunk
Files:
6 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Glpk/trunk/INSTALL.Glpk

    r1106 r1176  
    1414You may download
    1515
    16 ftp://ftp.gnu.org/gnu/glpk/glpk-4.30.tar.gz
     16ftp://ftp.gnu.org/gnu/glpk/glpk-4.31.tar.gz
    1717
    1818and unpack it in this directory:
    1919
    20 gunzip glpk-4.30.tar.gz
    21 tar xf glpk-4.30.tar
     20gunzip glpk-4.31.tar.gz
     21tar xf glpk-4.31.tar
    2222
    2323Then you need to rename the directory
    24   glpk-4.30
     24  glpk-4.31
    2525into
    2626  glpk
  • ThirdParty/Glpk/trunk/Makefile.am

    r1105 r1176  
    1 # Copyright (C) 2007 Stefan Vigerske
     1# Copyright (C) 2007-2008 Stefan Vigerske
    22# All Rights Reserved.
    33# This file is distributed under the Common Public License.
     
    4141$(GLPKDIR)/src/glpgmp.c \
    4242$(GLPKDIR)/src/glphbm.c \
     43$(GLPKDIR)/src/glpini01.c \
     44$(GLPKDIR)/src/glpini02.c \
    4345$(GLPKDIR)/src/glpios01.c \
    4446$(GLPKDIR)/src/glpios02.c \
     
    8284$(GLPKDIR)/src/glplpx16.c \
    8385$(GLPKDIR)/src/glplpx17.c \
    84 $(GLPKDIR)/src/glplpx18.c \
    85 $(GLPKDIR)/src/glplpx19.c \
    8686$(GLPKDIR)/src/glpluf.c \
    8787$(GLPKDIR)/src/glplux.c \
     
    9999$(GLPKDIR)/src/glpscf.c \
    100100$(GLPKDIR)/src/glpscg.c \
     101$(GLPKDIR)/src/glpscl.c \
    101102$(GLPKDIR)/src/glpspm.c \
    102103$(GLPKDIR)/src/glpspx01.c \
    103104$(GLPKDIR)/src/glpspx02.c \
    104 $(GLPKDIR)/src/glpspx03.c \
    105105$(GLPKDIR)/src/glpsql.c \
    106106$(GLPKDIR)/src/glpssx01.c \
  • ThirdParty/Glpk/trunk/Makefile.in

    r1105 r1176  
    1515@SET_MAKE@
    1616
    17 # Copyright (C) 2007 Stefan Vigerske
     17# Copyright (C) 2007-2008 Stefan Vigerske
    1818# All Rights Reserved.
    1919# This file is distributed under the Common Public License.
     
    7676        glpapi09.lo glpapi10.lo glpapi11.lo glpapi12.lo glpapi13.lo \
    7777        glpapi14.lo glpapi15.lo glpavl.lo glpbfd.lo glpbfx.lo \
    78         glpcli.lo glpdmp.lo glpfhv.lo glpgmp.lo glphbm.lo glpios01.lo \
    79         glpios02.lo glpios03.lo glpios04.lo glpios05.lo glpios06.lo \
    80         glpipm.lo glpipp01.lo glpipp02.lo glplib01.lo glplib02.lo \
    81         glplib03.lo glplib04.lo glplib05.lo glplib06.lo glplib07.lo \
    82         glplib08.lo glplib09.lo glplib10.lo glplib11.lo glplib12.lo \
    83         glplpf.lo glplpp01.lo glplpp02.lo glplpx01.lo glplpx02.lo \
    84         glplpx03.lo glplpx04.lo glplpx05.lo glplpx06.lo glplpx07.lo \
    85         glplpx08.lo glplpx09.lo glplpx10.lo glplpx11.lo glplpx12.lo \
    86         glplpx13.lo glplpx14.lo glplpx15.lo glplpx16.lo glplpx17.lo \
    87         glplpx18.lo glplpx19.lo glpluf.lo glplux.lo glpmat.lo \
     78        glpcli.lo glpdmp.lo glpfhv.lo glpgmp.lo glphbm.lo glpini01.lo \
     79        glpini02.lo glpios01.lo glpios02.lo glpios03.lo glpios04.lo \
     80        glpios05.lo glpios06.lo glpipm.lo glpipp01.lo glpipp02.lo \
     81        glplib01.lo glplib02.lo glplib03.lo glplib04.lo glplib05.lo \
     82        glplib06.lo glplib07.lo glplib08.lo glplib09.lo glplib10.lo \
     83        glplib11.lo glplib12.lo glplpf.lo glplpp01.lo glplpp02.lo \
     84        glplpx01.lo glplpx02.lo glplpx03.lo glplpx04.lo glplpx05.lo \
     85        glplpx06.lo glplpx07.lo glplpx08.lo glplpx09.lo glplpx10.lo \
     86        glplpx11.lo glplpx12.lo glplpx13.lo glplpx14.lo glplpx15.lo \
     87        glplpx16.lo glplpx17.lo glpluf.lo glplux.lo glpmat.lo \
    8888        glpmpl01.lo glpmpl02.lo glpmpl03.lo glpmpl04.lo glpmpl05.lo \
    8989        glppds.lo glpqmd.lo glprng01.lo glprng02.lo glprgr.lo \
    90         glpscf.lo glpscg.lo glpspm.lo glpspx01.lo glpspx02.lo \
    91         glpspx03.lo glpsql.lo glpssx01.lo glpssx02.lo
     90        glpscf.lo glpscg.lo glpscl.lo glpspm.lo glpspx01.lo \
     91        glpspx02.lo glpsql.lo glpssx01.lo glpssx02.lo
    9292libcoinglpk_la_OBJECTS = $(nodist_libcoinglpk_la_OBJECTS)
    9393@COIN_BUILD_GLPK_TRUE@am_libcoinglpk_la_rpath =
     
    280280$(GLPKDIR)/src/glpgmp.c \
    281281$(GLPKDIR)/src/glphbm.c \
     282$(GLPKDIR)/src/glpini01.c \
     283$(GLPKDIR)/src/glpini02.c \
    282284$(GLPKDIR)/src/glpios01.c \
    283285$(GLPKDIR)/src/glpios02.c \
     
    321323$(GLPKDIR)/src/glplpx16.c \
    322324$(GLPKDIR)/src/glplpx17.c \
    323 $(GLPKDIR)/src/glplpx18.c \
    324 $(GLPKDIR)/src/glplpx19.c \
    325325$(GLPKDIR)/src/glpluf.c \
    326326$(GLPKDIR)/src/glplux.c \
     
    338338$(GLPKDIR)/src/glpscf.c \
    339339$(GLPKDIR)/src/glpscg.c \
     340$(GLPKDIR)/src/glpscl.c \
    340341$(GLPKDIR)/src/glpspm.c \
    341342$(GLPKDIR)/src/glpspx01.c \
    342343$(GLPKDIR)/src/glpspx02.c \
    343 $(GLPKDIR)/src/glpspx03.c \
    344344$(GLPKDIR)/src/glpsql.c \
    345345$(GLPKDIR)/src/glpssx01.c \
     
    436436@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpgmp.Plo@am__quote@
    437437@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glphbm.Plo@am__quote@
     438@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpini01.Plo@am__quote@
     439@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpini02.Plo@am__quote@
    438440@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpios01.Plo@am__quote@
    439441@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpios02.Plo@am__quote@
     
    477479@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glplpx16.Plo@am__quote@
    478480@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glplpx17.Plo@am__quote@
    479 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glplpx18.Plo@am__quote@
    480 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glplpx19.Plo@am__quote@
    481481@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpluf.Plo@am__quote@
    482482@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glplux.Plo@am__quote@
     
    494494@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpscf.Plo@am__quote@
    495495@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpscg.Plo@am__quote@
     496@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpscl.Plo@am__quote@
    496497@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpspm.Plo@am__quote@
    497498@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpspx01.Plo@am__quote@
    498499@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpspx02.Plo@am__quote@
    499 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpspx03.Plo@am__quote@
    500500@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpsql.Plo@am__quote@
    501501@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpssx01.Plo@am__quote@
     
    684684@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glphbm.lo `test -f '$(GLPKDIR)/src/glphbm.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glphbm.c
    685685
     686glpini01.lo: $(GLPKDIR)/src/glpini01.c
     687@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpini01.lo -MD -MP -MF "$(DEPDIR)/glpini01.Tpo" -c -o glpini01.lo `test -f '$(GLPKDIR)/src/glpini01.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpini01.c; \
     688@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpini01.Tpo" "$(DEPDIR)/glpini01.Plo"; else rm -f "$(DEPDIR)/glpini01.Tpo"; exit 1; fi
     689@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpini01.c' object='glpini01.lo' libtool=yes @AMDEPBACKSLASH@
     690@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     691@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpini01.lo `test -f '$(GLPKDIR)/src/glpini01.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpini01.c
     692
     693glpini02.lo: $(GLPKDIR)/src/glpini02.c
     694@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpini02.lo -MD -MP -MF "$(DEPDIR)/glpini02.Tpo" -c -o glpini02.lo `test -f '$(GLPKDIR)/src/glpini02.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpini02.c; \
     695@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpini02.Tpo" "$(DEPDIR)/glpini02.Plo"; else rm -f "$(DEPDIR)/glpini02.Tpo"; exit 1; fi
     696@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpini02.c' object='glpini02.lo' libtool=yes @AMDEPBACKSLASH@
     697@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     698@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpini02.lo `test -f '$(GLPKDIR)/src/glpini02.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpini02.c
     699
    686700glpios01.lo: $(GLPKDIR)/src/glpios01.c
    687701@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpios01.lo -MD -MP -MF "$(DEPDIR)/glpios01.Tpo" -c -o glpios01.lo `test -f '$(GLPKDIR)/src/glpios01.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpios01.c; \
     
    971985@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glplpx17.lo `test -f '$(GLPKDIR)/src/glplpx17.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplpx17.c
    972986
    973 glplpx18.lo: $(GLPKDIR)/src/glplpx18.c
    974 @am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glplpx18.lo -MD -MP -MF "$(DEPDIR)/glplpx18.Tpo" -c -o glplpx18.lo `test -f '$(GLPKDIR)/src/glplpx18.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplpx18.c; \
    975 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glplpx18.Tpo" "$(DEPDIR)/glplpx18.Plo"; else rm -f "$(DEPDIR)/glplpx18.Tpo"; exit 1; fi
    976 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glplpx18.c' object='glplpx18.lo' libtool=yes @AMDEPBACKSLASH@
    977 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    978 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glplpx18.lo `test -f '$(GLPKDIR)/src/glplpx18.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplpx18.c
    979 
    980 glplpx19.lo: $(GLPKDIR)/src/glplpx19.c
    981 @am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glplpx19.lo -MD -MP -MF "$(DEPDIR)/glplpx19.Tpo" -c -o glplpx19.lo `test -f '$(GLPKDIR)/src/glplpx19.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplpx19.c; \
    982 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glplpx19.Tpo" "$(DEPDIR)/glplpx19.Plo"; else rm -f "$(DEPDIR)/glplpx19.Tpo"; exit 1; fi
    983 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glplpx19.c' object='glplpx19.lo' libtool=yes @AMDEPBACKSLASH@
    984 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    985 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glplpx19.lo `test -f '$(GLPKDIR)/src/glplpx19.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplpx19.c
    986 
    987987glpluf.lo: $(GLPKDIR)/src/glpluf.c
    988988@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpluf.lo -MD -MP -MF "$(DEPDIR)/glpluf.Tpo" -c -o glpluf.lo `test -f '$(GLPKDIR)/src/glpluf.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpluf.c; \
     
    10901090@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpscg.lo `test -f '$(GLPKDIR)/src/glpscg.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpscg.c
    10911091
     1092glpscl.lo: $(GLPKDIR)/src/glpscl.c
     1093@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpscl.lo -MD -MP -MF "$(DEPDIR)/glpscl.Tpo" -c -o glpscl.lo `test -f '$(GLPKDIR)/src/glpscl.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpscl.c; \
     1094@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpscl.Tpo" "$(DEPDIR)/glpscl.Plo"; else rm -f "$(DEPDIR)/glpscl.Tpo"; exit 1; fi
     1095@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpscl.c' object='glpscl.lo' libtool=yes @AMDEPBACKSLASH@
     1096@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     1097@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpscl.lo `test -f '$(GLPKDIR)/src/glpscl.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpscl.c
     1098
    10921099glpspm.lo: $(GLPKDIR)/src/glpspm.c
    10931100@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpspm.lo -MD -MP -MF "$(DEPDIR)/glpspm.Tpo" -c -o glpspm.lo `test -f '$(GLPKDIR)/src/glpspm.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpspm.c; \
     
    11101117@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    11111118@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpspx02.lo `test -f '$(GLPKDIR)/src/glpspx02.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpspx02.c
    1112 
    1113 glpspx03.lo: $(GLPKDIR)/src/glpspx03.c
    1114 @am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpspx03.lo -MD -MP -MF "$(DEPDIR)/glpspx03.Tpo" -c -o glpspx03.lo `test -f '$(GLPKDIR)/src/glpspx03.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpspx03.c; \
    1115 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpspx03.Tpo" "$(DEPDIR)/glpspx03.Plo"; else rm -f "$(DEPDIR)/glpspx03.Tpo"; exit 1; fi
    1116 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpspx03.c' object='glpspx03.lo' libtool=yes @AMDEPBACKSLASH@
    1117 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    1118 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpspx03.lo `test -f '$(GLPKDIR)/src/glpspx03.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpspx03.c
    11191119
    11201120glpsql.lo: $(GLPKDIR)/src/glpsql.c
  • ThirdParty/Glpk/trunk/configure

    r1119 r1176  
    2007420074if test x"$use_thirdpartyglpk" = xbuild ; then
    2007520075  touch $MAKEOKFILE
     20076  #CoinUtils and SYMPHONY include glpmpl.h and have HAVE_CONFIG_H defined
     20077  #so we put a dummy config.h file into the glpk include directory
     20078  touch ${GLPKINCDIR}/config.h
    2007620079  echo "$as_me:$LINENO: checking GLPK version" >&5
    2007720080echo $ECHO_N "checking GLPK version... $ECHO_C" >&6
     
    2008020083  echo "$as_me:$LINENO: result: ${majorver}.${minorver}" >&5
    2008120084echo "${ECHO_T}${majorver}.${minorver}" >&6
    20082   if test $majorver != 4 || test $minorver != 30 ; then
    20083     { { echo "$as_me:$LINENO: error: \"Incorrect GLPK version. This build system is made for GLPK 4.30. Please update by rerunning get.GLPK\"" >&5
    20084 echo "$as_me: error: \"Incorrect GLPK version. This build system is made for GLPK 4.30. Please update by rerunning get.GLPK\"" >&2;}
     20085  if test $majorver != 4 || test $minorver != 31 ; then
     20086    { { echo "$as_me:$LINENO: error: \"Incorrect GLPK version. This build system is made for GLPK 4.31. Please update by rerunning get.GLPK\"" >&5
     20087echo "$as_me: error: \"Incorrect GLPK version. This build system is made for GLPK 4.31. Please update by rerunning get.GLPK\"" >&2;}
    2008520088   { (exit 1); exit 1; }; }
    2008620089  fi
  • ThirdParty/Glpk/trunk/configure.ac

    r1105 r1176  
    7070if test x"$use_thirdpartyglpk" = xbuild ; then
    7171  touch $MAKEOKFILE
     72  #CoinUtils and SYMPHONY include glpmpl.h and have HAVE_CONFIG_H defined
     73  #so we put a dummy config.h file into the glpk include directory
     74  touch ${GLPKINCDIR}/config.h
    7275  AC_MSG_CHECKING([GLPK version])
    7376  majorver=`awk '/define GLP_MAJOR_VERSION/ {print $3}' ${GLPKINCDIR}/glpk.h`
    7477  minorver=`awk '/define GLP_MINOR_VERSION/ {print $3}' ${GLPKINCDIR}/glpk.h`
    7578  AC_MSG_RESULT([${majorver}.${minorver}])
    76   if test $majorver != 4 || test $minorver != 30 ; then
    77     AC_MSG_ERROR(["Incorrect GLPK version. This build system is made for GLPK 4.30. Please update by rerunning get.GLPK"])
     79  if test $majorver != 4 || test $minorver != 31 ; then
     80    AC_MSG_ERROR(["Incorrect GLPK version. This build system is made for GLPK 4.31. Please update by rerunning get.GLPK"])
    7881  fi
    7982else
  • ThirdParty/Glpk/trunk/get.Glpk

    r1105 r1176  
    22
    33set -e
    4 glpk_ver=4.30
     4glpk_ver=4.31
    55
    66wgetcmd=wget
Note: See TracChangeset for help on using the changeset viewer.